Package weka.classifiers

# Interface IterativeClassifier

All Known Implementing Classes:
  `ADTree`

public interface IterativeClassifier
Interface for classifiers that can induce models of growing complexity one step at a time.

Version:
  $Revision: 1.3 $
Author:
  Gabi Schmidberger (gabi@cs.waikato.ac.nz), Bernhard Pfahringer (bernhard@cs.waikato.ac.nz)

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
Performs a deep copy of the classifier, and a reference copy of the training instances (or a deep copy if required).
`void`
`done()`
Signal end of iterating, useful for any house-keeping/cleanup
`void`
`initClassifier(Instances instances)`
Inits an iterative classifier.
`void`
`next(int iteration)`
Performs one iteration.

## Method Details

### initClassifier

void initClassifier(Instances instances) throws Exception
Inits an iterative classifier.

Parameters:
  `instances` - the instances to be used in induction
Throws:
  `Exception` - if the model cannot be initialized

### next

void next(int iteration) throws Exception
Performs one iteration.

Parameters:
  `iteration` - the index of the current iteration (0-based)
Throws:
  `Exception` - if this iteration fails

### done

void done() throws Exception
Signal end of iterating, useful for any house-keeping/cleanup

Throws:
  `Exception` - if cleanup fails

### clone

Object clone() throws CloneNotSupportedException
Performs a deep copy of the classifier, and a reference copy of the training instances (or a deep copy if required).

Returns:
  a clone of the classifier
Throws:
  `CloneNotSupportedException`